-- raise_pay.sql

CREATE OR REPLACE PROCEDURE raise_pay ( eid employee.id%TYPE,
  pct employee.pay_amount%TYPE DEFAULT .03)
AS
BEGIN
  UPDATE employee
     SET pay_amount = pay_amount * ( 1 + pct )
   WHERE id = eid;
END;
/


